    <div ng-show="phoneBarIsVisible()" class="ccagent-container toast-container" container-resizable ng-cloak>
        <div class="header-container">
            <div class="header">

                <div class="main name">{{user.fullName}}</div>
                <span class="main version" ng-if="!ctrl.isElectron()">{{ctrl.showVersion()}}</span>
                <a href class="maxmin-btn" id="maxmin-btn" ng-if="ctrl.showMinibarButton()" ng-click="ctrl.toggleWindow()" ng-model="ctrl.toggled" title="{{'AGT_MINIMIZE_MAXIMIZE' | translate}}"></a>
                <a href="" ui-sref="content.settings" class="main config-menu" title="{{'AGT_CONFIGURATION_MENU' | translate}}">
                    <i class="fas fa-bars fa-white-bars"></i>
                </a>
                <agent-state></agent-state>
            </div>

            <stats-panel ng-if="ctrl.appConfig.liveStats" agent-id="{{user.agentId}}"></stats-panel>

            <call-control id="callControl"></call-control>

            <div class="links" ng-class="{'links-adjusted': !ctrl.appConfig.chat && ctrl.appConfig.appType == 'switchboard'}">
                <div>
                    <a href class="history-menu" ng-class="{active: ctrl.isActive('history')}" ng-click="ctrl.show('history')"></a>
                    <div class="menu-label">{{'AGT_LINKS_HISTORY' | translate}}</div>
                </div>
                <div ng-if="ctrl.appConfig.appType != 'switchboard'">
                    <a href class="activities-menu" ng-class="{active: ctrl.isActive('activities')}" ng-click="ctrl.show('activities')">
                        <span class="badge call-badge" ng-if="ctrl.getWaitingCalls()">{{waitingCalls}}</span>
                    </a>
                    <div class="menu-label">{{'AGT_LINKS_ACTIVITIES' | translate}}</div>
                </div>
                <div ng-if="ctrl.appConfig.appType == 'switchboard' && ctrl.appConfig.chat">
                    <a href class="messages-menu" ng-class="{active: ctrl.isActive('conversationHistory')}" ng-click="ctrl.show('conversationHistory')">
                        <new-message-badge primary-color='#5cb85c'></new-message-badge>
                    </a>
                    <div class="menu-label">{{'MESSAGES_HISTORY' | translate}}</div>
                </div>
                <div>
                    <a href class="agents-menu" ng-class="{active: ctrl.isActive('agents')}" ng-click="ctrl.show('agents')"></a>
                    <div class="menu-label">{{'AGT_LINKS_AGENTS' | translate}}</div>
                </div>
                <div class="callbacks-menu-icon">
                    <a href class="callbacks-menu " ng-class="{active: ctrl.isActive('callbacks'), disabled: ctrl.isActive('callbacks')}"
                    ng-click="!ctrl.isActive('callbacks') && ctrl.show('callbacks.list')"></a>
                    <i class="callback-menu-clock state-{{ctrl.getCallbackStatus()}}"
                    ng-class="{disabled: ctrl.isActive('callbacks')}" ng-click="!ctrl.isActive('callbacks') && ctrl.show('callbacks.list')"></i>
                    <div class="menu-label">{{'AGT_LINKS_CALLBACKS' | translate}}</div>
                </div>
                <div>
                    <a href class="customer-menu" ng-class="{active: ctrl.isActive('customer')}" ng-click="ctrl.show('customer.path')"></a>
                    <div class="menu-label">{{'AGT_LINKS_CUSTOMER' | translate}}</div>
                </div>
                <div>
                    <a href class="search-menu" ng-class="{active: ctrl.isActive('search')}" ng-click="ctrl.show('search')"></a>
                </div>
            </div>
            <div>
                <a href class="search-menu" ng-class="{active: ctrl.isActive('search')}" ng-click="ctrl.show('search')"></a>
            </div>
        <div class="search">
            <div class="input-group search-form">
                <button ng-if="ctrl.showExternalViewButton" ng-click="ctrl.show('externalview')" class="openExtView" ng-class="{active: ctrl.isActive('externalview')}" title=""><i class="fa fa-book" aria-hidden="true"></i></button>
                <input class="form-control" id="search" type="text" ng-model="searchValue" placeholder="{{'AGT_SEARCH_BOX' | translate}}" ng-keyup="ctrl.onKeyPress($event.keyCode)"
                uib-tooltip="{{'AGT_INVALID_SEARCH' | translate}}" tooltip-placement="bottom" tooltip-is-open="ctrl.tooltipVisible" tooltip-enable="ctrl.tooltipVisible"
                tooltip-class="tooltipSearchClass">
                <span class="input-group-btn">
                    <button class="btn btn-default search-btn" ng-click="ctrl.searchOrDial()" id="xuc_search" type="button" title=""><i class="fa fa-search" aria-hidden="true"></i></button>
                </span>
                <a ng-if="searchValue" ng-click="ctrl.emptyInput()" class="clear-input" title="{{'AGT_CLEAR_BOX' | translate}}">X</a>
            </div>
        </div>
        </div>
        <div ui-view class="content-view" ng-class="$state.current.name"></div>
    </div>

    <phone-app-toggler></phone-app-toggler>

    <switch-board ng-show="phoneBarIsVisible()" ng-if="ctrl.appConfig.appType == 'switchboard'" class="switchboard-container"></switch-board>

    <jitsi-video></jitsi-video>
